package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TDcsdata;
import com.chinaitop.depot.intelligent.grainsituation.model.TDcsdataExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TDcsdataMapper {
    int countByExample(TDcsdataExample example);

    int deleteByExample(TDcsdataExample example);

    int insert(TDcsdata record);

    int insertSelective(TDcsdata record);

    List<TDcsdata> selectByExample(TDcsdataExample example);

    int updateByExampleSelective(@Param("record") TDcsdata record, @Param("example") TDcsdataExample example);

    int updateByExample(@Param("record") TDcsdata record, @Param("example") TDcsdataExample example);

    void insertBatch(List<TDcsdata> tDcsdata);
}